/*
 *  
 *  Copyright (C) 2004 Aurelien Alleaume <slts@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include "pvrusb2.h"
#include "pvrusb2-tuner.h"
#include "pvrusb2-v4l2.h"

#define PVR_STD_I2C_ADDR    0x43

int pvr_configure_tuner(struct pvr *pvr)
{
    u8 buff [4];

    pvr_debug("pvr_configure_tuner");

    PVR_BUG_ON(pvr->video.standard < 0 ||
	       pvr->video.standard >= PVR_V4L2_NSTD);
    /* FIXME: Might be tuner dependant ? Need more hardware info... */
    PVR_DECOMPOSE_BE(buff, 0, pvr_tbl_standard[pvr->video.standard]);

    pvr_i2c_write(pvr, PVR_STD_I2C_ADDR, buff, 4);

    i2c_clients_command(&pvr->i2c_adap,
			VIDIOC_S_FREQUENCY,
			&pvr->freq);

    return 0;
}
